Auto Multiple Choice - Support # 540: utiliser {ordered=true}

Status: Feedback Priority: Normal
Author: Anne Aimable Category:

Created: 03/20/2018 Assignee:

Updated: 03/21/2018 Due date:

Description: Bonjour

07/11/2025

je veux utiliser AMC pour faire un questionnaire dans lequel les questions comme les réponses ne sont pas
mélangées. Quelle est la syntaxe a utiliser pour que tout reste dans I'ordre dans lequel j'ai rédigé ? c'est a dirg
ou placer {ordered=true} dans l'exemple suivant ?

\documentclass[ad4paper]{article}

\usepackage[utf8x]{inputenc}
\usepackage[T1]{fontenc}

\usepackage[francais,bloc,completemulti]{automultiplechoice}
\begin{document}

\exemplaire{10}

%%% debut de I'en-téte des copies :

\noindent{\bf QCM \hfill TEST}

\vspace*{.5cm}
\begin{minipage}{.4\linewidth}
\centering\large\bf Test\\ Examen du 01/01/2008\end{minipage}
\champnom{\fbox{ 5
\begin{minipage}{.5\linewidth}
Nom et prénom :

\vspace*{.5cmp\dotfill
\vspace*{1mm}
\end{minipage}

i

\begin{center}\em
Durée : 10 minutes.

Aucun document n'est autorisé.
L'usage de la calculatrice est interdit.

Les questions faisant apparaitre le symbole \multiSymbole{} peuvent
présenter zéro, une ou plusieurs bonnes réponses. Les autres ont
une unique bonne réponse.

Des points négatifs pourront étre affectés a de \emph{trés
mauvaises} réponses.
\end{center}
\vspace{1ex}
%%% fin de l'en-téte

\begin{question}{prez}
Parmi les personnalités suivantes, laquelle a été présidente de la république frangaise~?
\begin{reponses}
\bonne{René Coty}
\mauvaise{Alain Prost}
\mauvaise{Marcel Proust}
\mauvaise{Claude Monet}
\end{reponses}
\end{question}

\begin{questionmult}{pref}
Parmi les villes suivantes, lesquelles sont des préfectures~?
\begin{reponses}
\bonne{Poitiers}
\mauvaise{Sainte-Menehould}
\bonne{Avignon}
\end{reponses}
\end{questionmult}

\clearpage

}

\end{document}
History
03/20/2018 07:40 pm - Frédéric Bréal
Bonsoir,

modifiez les options du paquets avec @ordre@ pour annuler le mélange des réponses et @noshufflegroups@ pour annuler le mélange des groupes.
<pre>

\usepackage[francais,bloc,completemulti,ordre,noshufflegroups){automultiplechoice}

</pre>

Préférez le forum pour les questions. Ici, c'est plutdt réservé aux remontées de bugs ou demandes de d'ajouts, modifications de fonctions du logiciel.
03/21/2018 08:16 am - Alexis Bienvenie

- Tracker changed from Bug to Support

03/21/2018 08:16 am - Alexis Bienveniie
- Status changed from New to Feedback
